CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Running, Solving & CFD (http://www.cfd-online.com/Forums/openfoam-solving/)
-   -   wmake groovyBC in OpenFOAM 1.7 ? (http://www.cfd-online.com/Forums/openfoam-solving/79561-wmake-groovybc-openfoam-1-7-a.html)

randomid August 27, 2010 02:50

wmake groovyBC in OpenFOAM 1.7 ?
 
dear all,
i compile groovyBC in ubuntu 10.04 and openFOAM 1.7, i donot know whether it is correct or not, here is the output:

root@food-desktop:~/nwt/groovyBC# wmake libso
wmakeLnInclude: linking include files to ./lnInclude
Making dependency list for source file PatchResult.C
Making dependency list for source file PatchValueExpressionParser.yy
could not open file PatchValueExpressionParser.tab.hh for source file PatchValueExpressionParser.yy
Making dependency list for source file PatchValueExpressionLexer.ll
could not open file PatchValueExpressionParser.tab.hh for source file PatchValueExpressionLexer.ll
Making dependency list for source file PatchValueExpressionDriver.C
could not open file PatchValueExpressionParser.tab.hh for source file PatchValueExpressionDriver.C
Making dependency list for source file groovyBCFvPatchFields.C
could not open file PatchValueExpressionParser.tab.hh for source file groovyBCFvPatchFields.C
Making dependency list for source file groovyBCPointPatchFields.C
could not open file MixedPointPatchField.H for source file groovyBCPointPatchFields.C
could not open file PatchValueExpressionParser.tab.hh for source file groovyBCPointPatchFields.C
could not open file PointPatchFieldMapper.H for source file groovyBCPointPatchFields.C
SOURCE=PatchResult.C ; g++ -m32 -Dlinux -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -IMake/linuxGccDPOpt -I/opt/openfoam170/src/finiteVolume/lnInclude -IlnInclude -I. -I/opt/openfoam170/src/OpenFOAM/lnInclude -I/opt/openfoam170/src/OSspecific/POSIX/lnInclude -fPIC -c $SOURCE -o Make/linuxGccDPOpt/PatchResult.o
PatchResult.C: In member function ‘void Foam::PatchResult::uglyDelete()’:
PatchResult.C:97: warning: deleting ‘void*’ is undefined
SOURCE=PatchValueExpressionParser.yy ; rm -f Make/linuxGccDPOpt/PatchValueExpressionParser.C Make/linuxGccDPOpt/PatchValueExpressionParser.tab.hh; bison -ra -v -d $SOURCE ; mv *.tab.cc Make/linuxGccDPOpt/PatchValueExpressionParser.C ; mv *.tab.hh Make/linuxGccDPOpt/PatchValueExpressionParser.tab.hh ; mv *.hh Make/linuxGccDPOpt ; g++ -m32 -Dlinux -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -IMake/linuxGccDPOpt -I/opt/openfoam170/src/finiteVolume/lnInclude -IlnInclude -I. -I/opt/openfoam170/src/OpenFOAM/lnInclude -I/opt/openfoam170/src/OSspecific/POSIX/lnInclude -fPIC -c Make/linuxGccDPOpt/PatchValueExpressionParser.C -o Make/linuxGccDPOpt/PatchValueExpressionParser.o
In file included from Make/linuxGccDPOpt/location.hh:44,
from PatchValueExpressionParser.tab.hh:65,
from PatchValueExpressionParser.tab.cc:61:
position.hh: In function ‘bool pveerator==(const pvesition&, const pvesition&)’:
position.hh:136: warning: suggest parentheses around ‘&&’ within ‘||’
PatchValueExpressionParser.tab.cc: In member function ‘unsigned char pve::PatchValueExpressionParser::yytranslate_(int) ’:
PatchValueExpressionParser.tab.cc:4941: warning: use of old-style cast
SOURCE=PatchValueExpressionLexer.ll ; rm Make/linuxGccDPOpt/PatchValueExpressionLexer.C ; flex -f $SOURCE ; mv *.c Make/linuxGccDPOpt/PatchValueExpressionLexer.C ; g++ -m32 -Dlinux -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -IMake/linuxGccDPOpt -I/opt/openfoam170/src/finiteVolume/lnInclude -IlnInclude -I. -I/opt/openfoam170/src/OpenFOAM/lnInclude -I/opt/openfoam170/src/OSspecific/POSIX/lnInclude -fPIC -c Make/linuxGccDPOpt/PatchValueExpressionLexer.C -o Make/linuxGccDPOpt/PatchValueExpressionLexer.o
rm: cannot remove `Make/linuxGccDPOpt/PatchValueExpressionLexer.C': No such file or directory
lex.ve.c:372: warning: use of old-style cast
lex.ve.c:442: warning: use of old-style cast
lex.ve.c:442: warning: use of old-style cast
In file included from Make/linuxGccDPOpt/location.hh:44,
from PatchValueExpressionParser.tab.hh:65,
from lnInclude/PatchValueExpressionDriver.H:59,
from PatchValueExpressionLexer.ll:3:
position.hh: In function ‘bool pveerator==(const pvesition&, const pvesition&)’:
position.hh:136: warning: suggest parentheses around ‘&&’ within ‘||’
lex.ve.c: In function ‘int pvelex(pve::PatchValueExpressionParser::semantic_t ype*, pve::location*, Foam::PatchValueExpressionDriver&)’:
lex.ve.c:9465: warning: use of old-style cast
lex.ve.c:9465: warning: use of old-style cast
lex.ve.c:9482: warning: use of old-style cast
lex.ve.c:9495: warning: use of old-style cast
lex.ve.c:9962: warning: use of old-style cast
lex.ve.c: In function ‘int yy_get_next_buffer()’:
lex.ve.c:10141: warning: use of old-style cast
lex.ve.c:10164: warning: use of old-style cast
lex.ve.c:10177: warning: use of old-style cast
lex.ve.c:10177: warning: use of old-style cast
lex.ve.c:10198: warning: use of old-style cast
lex.ve.c:10198: warning: use of old-style cast
lex.ve.c:10223: warning: use of old-style cast
lex.ve.c:10226: warning: use of old-style cast
lex.ve.c:10226: warning: use of old-style cast
lex.ve.c: In function ‘yy_state_type yy_get_previous_state()’:
lex.ve.c:10261: warning: use of old-style cast
lex.ve.c:10261: warning: use of old-style cast
lex.ve.c: In function ‘int yyinput()’:
lex.ve.c:10379: warning: use of old-style cast
lex.ve.c: In function ‘yy_buffer_state* ve_create_buffer(FILE*, int)’:
lex.ve.c:10478: warning: use of old-style cast
lex.ve.c:10487: warning: use of old-style cast
lex.ve.c: In function ‘void ve_delete_buffer(yy_buffer_state*)’:
lex.ve.c:10513: warning: use of old-style cast
lex.ve.c:10516: warning: use of old-style cast
lex.ve.c:10518: warning: use of old-style cast
lex.ve.c: In function ‘void veensure_buffer_stack()’:
lex.ve.c:10685: warning: use of old-style cast
lex.ve.c:10705: warning: use of old-style cast
lex.ve.c: In function ‘yy_buffer_state* ve_scan_buffer(char*, yy_size_t)’:
lex.ve.c:10733: warning: use of old-style cast
lex.ve.c: In function ‘yy_buffer_state* ve_scan_bytes(const char*, int)’:
lex.ve.c:10786: warning: use of old-style cast
lex.ve.c: In function ‘void yy_push_state(int)’:
lex.ve.c:10822: warning: use of old-style cast
lex.ve.c:10825: warning: use of old-style cast
lex.ve.c:10825: warning: use of old-style cast
lex.ve.c: In function ‘int yy_init_globals()’:
lex.ve.c:10992: warning: use of old-style cast
lex.ve.c:11005: warning: use of old-style cast
lex.ve.c:11006: warning: use of old-style cast
lex.ve.c: In function ‘void* vealloc(yy_size_t)’:
lex.ve.c:11072: warning: use of old-style cast
lex.ve.c: In function ‘void* verealloc(void*, yy_size_t)’:
lex.ve.c:11084: warning: use of old-style cast
lex.ve.c:11084: warning: use of old-style cast
lex.ve.c: In function ‘void vefree(void*)’:
lex.ve.c:11089: warning: use of old-style cast
lex.ve.c: At global scope:
lex.ve.c:10809: warning: ‘void yy_push_state(int)’ defined but not used
lex.ve.c:10837: warning: ‘void yy_pop_state()’ defined but not used
lex.ve.c:10849: warning: ‘int yy_top_state()’ defined but not used
SOURCE=PatchValueExpressionDriver.C ; g++ -m32 -Dlinux -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -IMake/linuxGccDPOpt -I/opt/openfoam170/src/finiteVolume/lnInclude -IlnInclude -I. -I/opt/openfoam170/src/OpenFOAM/lnInclude -I/opt/openfoam170/src/OSspecific/POSIX/lnInclude -fPIC -c $SOURCE -o Make/linuxGccDPOpt/PatchValueExpressionDriver.o
In file included from Make/linuxGccDPOpt/location.hh:44,
from PatchValueExpressionParser.tab.hh:65,
from PatchValueExpressionDriver.H:59,
from PatchValueExpressionDriver.C:34:
position.hh: In function ‘bool pveerator==(const pvesition&, const pvesition&)’:
position.hh:136: warning: suggest parentheses around ‘&&’ within ‘||’
SOURCE=groovyBCFvPatchFields.C ; g++ -m32 -Dlinux -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -IMake/linuxGccDPOpt -I/opt/openfoam170/src/finiteVolume/lnInclude -IlnInclude -I. -I/opt/openfoam170/src/OpenFOAM/lnInclude -I/opt/openfoam170/src/OSspecific/POSIX/lnInclude -fPIC -c $SOURCE -o Make/linuxGccDPOpt/groovyBCFvPatchFields.o
In file included from Make/linuxGccDPOpt/location.hh:44,
from PatchValueExpressionParser.tab.hh:65,
from PatchValueExpressionDriver.H:59,
from groovyBCFvPatchField.H:48,
from groovyBCFvPatchFields.H:37,
from groovyBCFvPatchFields.C:36:
position.hh: In function ‘bool pveerator==(const pvesition&, const pvesition&)’:
position.hh:136: warning: suggest parentheses around ‘&&’ within ‘||’
SOURCE=groovyBCPointPatchFields.C ; g++ -m32 -Dlinux -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -IMake/linuxGccDPOpt -I/opt/openfoam170/src/finiteVolume/lnInclude -IlnInclude -I. -I/opt/openfoam170/src/OpenFOAM/lnInclude -I/opt/openfoam170/src/OSspecific/POSIX/lnInclude -fPIC -c $SOURCE -o Make/linuxGccDPOpt/groovyBCPointPatchFields.o
In file included from Make/linuxGccDPOpt/location.hh:44,
from PatchValueExpressionParser.tab.hh:65,
from PatchValueExpressionDriver.H:59,
from groovyBCPointPatchField.H:59,
from groovyBCPointPatchFields.H:37,
from groovyBCPointPatchFields.C:34:
position.hh: In function ‘bool pveerator==(const pvesition&, const pvesition&)’:
position.hh:136: warning: suggest parentheses around ‘&&’ within ‘||’
'/root/OpenFOAM/root-1.7.0/lib/linuxGccDPOpt/libgroovyBC.so' is up to date.
root@food-desktop:~/nwt/groovyBC# gcc -v
Using built-in specs.
Target: i486-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Ubuntu 4.4.3-4ubuntu5' --with-bugurl=file:///usr/share/doc/gcc-4.4/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --enable-shared --enable-multiarch --enable-linker-build-id --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.4 --program-suffix=-4.4 --enable-nls --enable-clocale=gnu --enable-libstdcxx-debug --enable-plugin --enable-objc-gc --enable-targets=all --disable-werror --with-arch-32=i486 --with-tune=generic --enable-checking=release --build=i486-linux-gnu --host=i486-linux-gnu --target=i486-linux-gnu
Thread model: posix
gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu5)
root@food-desktop:~/nwt/groovyBC# bison -V
bison (GNU Bison) 2.4.1
Written by Robert Corbett and Richard Stallman.

Copyright (C) 2008 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


is there anyone know?thanks.

gschaider August 27, 2010 05:15

Quote:

Originally Posted by randomid (Post 272998)
dear all,
i compile groovyBC in ubuntu 10.04 and openFOAM 1.7, i donot know whether it is correct or not, here is the output:

root@food-desktop:~/nwt/groovyBC# wmake libso
wmakeLnInclude: linking include files to ./lnInclude
Making dependency list for source file PatchResult.C

is there anyone know?thanks.

The magic words are

'/root/OpenFOAM/root-1.7.0/lib/linuxGccDPOpt/libgroovyBC.so' is up to date.

So everything is OK. The busload of warnings that you're seeing only mean that gcc does not like the source code that bison/flex generates and there is not much that can be done about this


All times are GMT -4. The time now is 07:03.